.TH "Busclass list XML parsing" 3 "28 Jul 2005" "discover" \" -*- nroff -*-
.ad l
.nh
.SH NAME
Busclass list XML parsing \- 
.SS "Functions"

.in +1c
.ti -1c
.RI "void \fBdiscover_xml_merge_busclass_url\fP (\fBdiscover_xml_busclass_t\fP **blist, char *url, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "\fBdiscover_xml_busclass_t\fP * \fBdiscover_xml_get_busclasses\fP (\fBdiscover_bus_t\fP bus, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "void \fBdiscover_xml_free_busclasses\fP (void)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_busclass_to_class\fP (char *busclass, \fBdiscover_xml_busclass_t\fP *busclasses)"
.br
.ti -1c
.RI "int \fBdiscover_xml_busclass_cmp\fP (char *busclass, char *discover_class, \fBdiscover_xml_busclass_t\fP *busclasses)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_busclass_get_id\fP (\fBdiscover_xml_busclass_t\fP *busclass)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_busclass_get_name\fP (\fBdiscover_xml_busclass_t\fP *busclass)"
.br
.ti -1c
.RI "\fBdiscover_xml_busclass_t\fP * \fBdiscover_xml_busclass_get_next\fP (\fBdiscover_xml_busclass_t\fP *busclass)"
.br
.ti -1c
.RI "\fBdiscover_xml_busclass_t\fP * \fBdiscover_xml_busclass_new\fP (void)"
.br
.ti -1c
.RI "void \fBdiscover_xml_busclass_free\fP (\fBdiscover_xml_busclass_t\fP *busclasses)"
.br
.in -1c
.SH "Function Documentation"
.PP 
.SS "int discover_xml_busclass_cmp (char * busclass, char * discover_class, \fBdiscover_xml_busclass_t\fP * busclasses)"
.PP
Compare a busclass to a device class, returning the same kind of value returned by strcmp(3). Note that this function has a special case for the class 'all'; it is considered equal to all busclasses.
.PP
\fBParameters:\fP
.RS 4
\fIbusclass\fP Busclass to compare 
.br
\fIdiscover_class\fP Device class to compare 
.br
\fIbusclasses\fP List of busclasses to search 
.RE
.PP

.PP
Definition at line 295 of file busclass-xml.c.
.PP
References discover_xml_busclass_to_class().
.PP
Referenced by discover_device_find().
.SS "void discover_xml_busclass_free (\fBdiscover_xml_busclass_t\fP * busclasses)"
.PP
Free the busclass or list of busclasses.
.PP
\fBParameters:\fP
.RS 4
\fIbusclasses\fP Busclass or list of busclasses to free 
.RE
.PP

.PP
Definition at line 382 of file busclass-xml.c.
.PP
Referenced by discover_xml_free_busclasses().
.SS "char* discover_xml_busclass_get_id (\fBdiscover_xml_busclass_t\fP * busclass)"
.PP
Get the id member of busclass.
.PP
\fBParameters:\fP
.RS 4
\fIbusclass\fP 
.RE
.PP

.PP
Definition at line 327 of file busclass-xml.c.
.SS "char* discover_xml_busclass_get_name (\fBdiscover_xml_busclass_t\fP * busclass)"
.PP
Get the name member of busclass.
.PP
\fBParameters:\fP
.RS 4
\fIbusclass\fP 
.RE
.PP

.PP
Definition at line 340 of file busclass-xml.c.
.SS "\fBdiscover_xml_busclass_t\fP* discover_xml_busclass_get_next (\fBdiscover_xml_busclass_t\fP * busclass)"
.PP
Get the next member of busclass (used for traversing lists of busclasses). 
.PP
Definition at line 352 of file busclass-xml.c.
.SS "\fBdiscover_xml_busclass_t\fP* discover_xml_busclass_new (void)"
.PP
Create and initialize a new discover_xml_busclass_t object. 
.PP
Definition at line 363 of file busclass-xml.c.
.SS "char* discover_xml_busclass_to_class (char * busclass, \fBdiscover_xml_busclass_t\fP * busclasses)"
.PP
Return the device class corresponding to a busclass.
.PP
\fBParameters:\fP
.RS 4
\fIbusclass\fP Busclass to look up 
.br
\fIbusclasses\fP List of busclasses to search 
.RE
.PP

.PP
Definition at line 263 of file busclass-xml.c.
.PP
Referenced by discover_xml_busclass_cmp().
.SS "void discover_xml_free_busclasses (void)"
.PP
Free the list of busclasses. 
.PP
Definition at line 247 of file busclass-xml.c.
.PP
References BUS_COUNT, and discover_xml_busclass_free().
.SS "\fBdiscover_xml_busclass_t\fP* discover_xml_get_busclasses (\fBdiscover_bus_t\fP bus, \fBdiscover_error_t\fP * status)"
.PP
Get the list of busclasses by bus type.
.PP
\fBParameters:\fP
.RS 4
\fIbus\fP Type of bus for which busclasses are required 
.br
\fIstatus\fP Address in which to place status report 
.RE
.PP

.PP
Definition at line 213 of file busclass-xml.c.
.PP
References discover_error::code, discover_xml_get_data_urls(), discover_xml_merge_busclass_url(), discover_xml_url_get_next(), and discover_xml_url_get_url().
.PP
Referenced by discover_device_find(), and discover_xml_get_devices().
.SS "void discover_xml_merge_busclass_url (\fBdiscover_xml_busclass_t\fP ** blist, char * url, \fBdiscover_error_t\fP * status)"
.PP
Merge new busclasses into a list.
.PP
\fBParameters:\fP
.RS 4
\fIblist\fP Address of the list to merge busclasses into 
.br
\fIurl\fP URL of the document defining the busclasses 
.br
\fIstatus\fP Address in which to place status report 
.RE
.PP

.PP
Definition at line 171 of file busclass-xml.c.
.PP
References discover_error::code, DISCOVER_EIO, and DISCOVER_EXML.
.PP
Referenced by discover_xml_get_busclasses().
